
// ClouReaderDemoDlg.h : Header file
//

#pragma once
#include "afxwin.h"
#include "afxcmn.h"

#define ANT_MAX	24
struct Tag_Param
{
	int TagType;
	CString ReaderName;
	CString EPC;
	CString TID;
	CString UserData;
	CString TagetData;
	CString ReaderTime;
};

struct Tag_Read_param
{
	int tid;
	int user;
	int target;
	int match;
	int TIDReadType;
	int TIDReadLen;
	int UserStart;
	int UserLen;
	int TargetStart;
	int TargetLen;
	int matchType;
	int matchStart;
	CString matchStr;
};

// CClouReaderDemoDlg Dialog box
class CClouReaderDemoDlg : public CDialogEx
{
public:
	static map<CString,long> mp_list;
	static CListCtrl* g_list;
	static UINT TestList(LPVOID pParam);
	static void CLAPI testCallBack(CL_TAG* tag);
	static void CLAPI TagCallBack(CL_TAG* tag);
	static CString connStr;
	void CountInfo();
	CL_ANT ant;
	bool isReading;

// Construction
public:
	CClouReaderDemoDlg(CWnd* pParent = NULL);	// Standard constructor

// Dialog box data
	enum { IDD = IDD_CLOUREADERDEMO_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV ֧


// implement
protected:
	HICON m_hIcon;
	static DWORD startTime;
	static DWORD count;
	BOOL CmpListItem(Tag_Param* tp, int nRow);

	// Generated message mapping function
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg LRESULT OnUpdateListCtrl(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
public:
	CListCtrl m_listCtrl;
	afx_msg void OnBnClickedBtnConn();
	afx_msg void OnBnClickedBtnTest();
	afx_msg void OnBnClickedBtnTestback();
	afx_msg void OnBnClickedBtnRead1();
	/*CButton m_ant1;
	CButton m_ant2;
	CButton m_ant3;
	CButton m_ant4;
	CButton m_ant5;
	CButton m_ant6;
	CButton m_ant7;
	CButton m_ant8;
	CButton m_ant9;
	CButton m_ant10;
	CButton m_ant11;
	CButton m_ant12;
	CButton m_ant13;
	CButton m_ant14;
	CButton m_ant15;
	CButton m_ant16;
	CButton m_ant17;
	CButton m_ant18;
	CButton m_ant19;
	CButton m_ant20;
	CButton m_ant21;
	CButton m_ant22;
	CButton m_ant23;
	CButton m_ant24;*/
	CButton m_ants[ANT_MAX];
	afx_msg void OnBnClickedBtnRead2();
	afx_msg void OnBnClickedBtnStop();
	afx_msg void OnBnClickedBtnDisconn();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnBnClickedBtnConf();
	afx_msg void OnNMRClickList1(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnIndex32771();
	CComboBox m_comConn;
	CButton m_singleRead;
	CButton m_constantRead;
	afx_msg void OnBnClickedBtnRead3();
	afx_msg void OnBnClickedBtnRead4();
	afx_msg void OnBnClickedBtnGetver();
	afx_msg void OnBnClickedBtnGetsn();
	afx_msg void OnBnClickedBtnGetmac();
	afx_msg void OnBnClickedBtnGetbbver();
};
